Upgrading and Migrating


 

Upgrading and Migrating

Migration overview

The goal of migration is to allow you to continue to work in the current version or the product with projects that you developed in previous versions. Projects that you created in V6.0.x or V7.0.x can be migrated to this version.
Projects from version 6.0.x or version 7.0.x are migrated using the Workspace Migration wizard. When projects from version 6.0.x orversion 7.0.x are detected in the current version, the Workspace Migration wizard starts automatically and selects the projects to migrate.

 

Backward compatibility of migrated projects and workspaces

Backward compatibility of a project (or other artifact) refers to its ability to work with earlier version of the product.
Projects migrated from V6.0.x to this version are not backward compatible with V6.0.X.
Projects migrated from V7.0.x to this version are backward compatible with V7.0.x.
Note: If you migrate a workspace from version 6.0.x or version 7.0.x to the current version - in other words, you open a version 6.0.x or version 7.0.x workspace in the current version - then the workspace itself is not backwards compatible (in other words, opening a migrated workspace in the previous version is not supported). Do not open a workspace from an earlier version in the current version unless you are prepared to migrate it permanently.

 

Compatibility with version 7.0.x and version 6.0.x

This topic describes compatibility of projects between the latest version and V6.0.x and V7.0.x
To be compatible with version 7.5, projects created in version 6.0.x and version 7.0.x must be migrated to version 7.5. For details on migrating projects to version 7.5, see 

Backward compatibility of migrated projects

Backward compatibility of a project (or other artifact) refers to its ability to work with earlier versions of the product.
Projects that are migrated from V6.0.x to V7.5 are not backward compatible with earlier versions.
Projects that are migrated from V7.0.x to V7.5 are backward compatible with V7.0.x under the following conditions:
  • You cannot use features available in V7.5 that are not available in V7.0.x.

The following table summarizes the backward compatibility of projects migrated to version 7.5
Table 1. Backward compatibility summary
Version prior to migrating to V7.5
Is backward compatibility supported?
V6.0.x
No
V6.0.x
No
V7.0.x
Yes
For some types of projects, you might see warning messages if you open a project that has been migrated to V7.5 in V7.0.

Backward compatibility of migrated workspaces

Workspaces migrated to V7.5 are not backward compatible with earlier versions; after you open a workspace in V7.5, you cannot use it again in V7.0.x. However, the projects within a workspace migrated from V7.0 are backward compatible with V7.0.x.

Mga Komento

Mga sikat na post sa blog na ito

PINAY SEX SCANDAL

Bakit nagtataksil ang mga babae sa kanilang asawa?

Airplanes in 2025